Subject: Re: bug#14361: Building guile 2.0.9 under mingw + msys

From: Andy Wingo <[email-masked]>
Date: Tue, 21 Jun 2016 22:52:37 +0200

On Tue 21 Jun 2016 17:42, Eli Zaretskii <[email-masked]> writes:

>> From: Andy Wingo <[email-masked]>
>> Cc: [email-masked],  [email-masked]
>> Date: Tue, 21 Jun 2016 17:06:05 +0200
>> 
>> Let's give it a go!  I understand that you do not want to work with
>> gnulib.  That's a negative from a Guile POV -- but it's not a
>> deal-breaker.
>
> I have nothing against Gnulib, but in this case their solution is
> simply not up to speed.
>
>> To that end I hesitate about including a bunch more stuff in
>> posix.c.  Must it all be there, or would it be possible to move some
>> of it out to our own gnulib-like mingw-w32.[ch] or something?
>
> Most of it is already on a separate file, w32-proc.c (see the diffs).
> I could take the macros at the beginning of posix.c and put them on a
> separate .h file, if that would be better.

That would be great, if you'd be amenable.  Thanks!

Andy